
#include "engine.bas"
#include "utils.bas"

dim JSCP as tChessEngine
dim flag as byte

dim s as string
dim i as integer

dim as double startTime, endTime
dim as integer averageTime = 0

open ExeName() & ".txt" for output as #1

JSCP.Initialize()
print #1, JSCP.playBoard.Text()
print #1, ""
i = 0

do
  i += 1
  
  if i mod 2 = 1 then
    JSCP.minDepth = 3
    JSCP.maxDepth = 5
  else
    JSCP.minDepth = 4
    JSCP.maxDepth = 6
  end if
  
  startTime = timer
  s = JSCP.EngineMove(flag)
  endTime = timer
  
  print #1, str(i) & s & " | flag = " & str(s) & " | time = " & str(fix((endTime - startTime) * 1000)) & " ms"
  print #1, ""
  print #1, JSCP.playBoard.Text()
  print #1, ""
  
  averageTime += fix((endTime - startTime) * 1000)
loop until (s[5] - 48 > checkFlag) or (i = 100)

averageTime \= i
print #1, "average time = " & str(averageTime) & " ms"

close #1
